//+------------------------------------------------------------------+
//|                                               Momentum of MA.mq4 |
//|                                                      mido  2009 |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "mido  2009"
#property link      ""
//---- input parameters
extern double    Stop_LOSS=500;
extern double    MAconstPeriod=0;
extern double    MAsdvigPeriod=5;
extern double    MomentumPeriod=14;
extern double    sdvigconst=0;
extern double    sdvig=5;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
  
//----
  int     ticket;
  int     cnt;
  int     total;
  double  MAconst=iMA(NULL,0,MAconstPeriod,sdvigconst,0,PRICE_CLOSE,0);
  double  MAsdvig=iMA(NULL,0,MAsdvigPeriod,sdvig,0,PRICE_CLOSE,0);
  double  MomentumCurrent=iMomentum(NULL,0,MomentumPeriod,0,0);
  double  MomentumPrevious=iMomentum(NULL,0,MomentumPeriod,0,1);

//----

  if (DayOfWeek()==0 && DayOfWeek()==6)//    
  return(0); //   .    
  
//----       .

        if(Bars<100)
     {
      Print("bars   100");
      return(0);  
     }
   if(Stop_LOSS<300)
     {
      Print("Stop_LOSS   300");
      return(0);  //  Stop_LOSS
     }
  

//----      

 
      if(AccountFreeMargin()<0.01*1000)                          
        {
         Print("We have no money. Free Margin = ",AccountFreeMargin());
         return(0);  
        }
 

  total=OrdersTotal(); //   
   if(total<1) 
   
     { 
     
      // check for long position (BUY) possibility Ccurrent>=Cprevious &&
      if(MAconst>=MAsdvig && MomentumCurrent>=MomentumPrevious)
            
       {        
        ticket=OrderSend(Symbol(),OP_BUY,1,Ask,5,Ask-Stop_LOSS*Point,0,"THENKS",16384,0,Green);
        return(0);
        } 
        
     
    /* }else 
      {
      for(cnt=0;cnt<total;cnt++)
     {
      OrderSelect(cnt, SELECT_BY_POS, MODE_TRADES);
      if(OrderType()<=OP_SELL &&   // check for opened position 
         OrderSymbol()==Symbol())  // check for symbol
        {
         if(OrderType()==OP_BUY)   // long position is opened
           {
            // should it be closed? Ccurrent<Cprevious || */
            }
            else{
          if (MAconst<MAsdvig && MomentumCurrent<MomentumPrevious)
                {
                 OrderClose(OrderTicket(),OrderLots(),Bid,3,Violet);
                 OrderDelete(OrderTicket()); // close position
                 return(0); // exit
                }
    }
    
      
    /*  }
      }
      }      
 */
   return(0); 
  }
//+------------------------------------------------------------------+